<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">


<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, minimum-scale=1">
	<title>[SuperDer] 주문현황 웹</title>


	<th:block th:replace="~{common/module::order-socket}"></th:block>
	<th:block th:replace="~{common/module::order-management-common}"></th:block>
	<th:block th:replace="~{common/module::order-management-counter}"></th:block>
</head>


<body>
<input type="hidden" name="companyCode" th:value="${companyCode}">
<main>
	<div class="grid">
		<div th:replace="~{order/management/left-side :: left-side}"></div>
	<div class="content-container">
		<div class="header">
			<!--			<button class="trans-view" id="transView" type="submit" th:value="${viewMode == 'l' ? 't' : 'l'}" onclick="transView();">VIEW<br>전환</button>-->
			<h1 class="title-text counterText">주문 현황</h1>
		</div>
		<th:block th:if="${viewMode == 'l'}">
			<div class="search-condition-area">
				<div class="select-area">
					<label for="selectSearchOrderStatusCondition">주문 상태</label>
					<select class="search-condition" id="selectSearchOrderStatusCondition" onchange="getOrderList();">
						<option value="">전체</option>
						<option value="1">주문</option>
						<option value="2">확인</option>
						<option value="3">제공</option>
					</select>
				</div>
				<div class="select-area">
					<label for="searchCalculateCondition">결제 상태</label>
					<select class="search-condition" id="searchCalculateCondition" onchange="getOrderList();">
						<option value="">전체</option>
						<option value="2">결제</option>
						<option value="1">미결제</option>
					</select>
				</div>
			</div>
			<table class="ordering-table">
				<colgroup>
					<col width="15%">
					<col width="20%">
					<col width="15%">
					<col width="10%">
					<col width="15%">
					<col width="15%">
				</colgroup>
				<thead>
				<tr class="table-head">
					<th>테이블</th>
					<th>주문 금액</th>
					<th>지불 구분</th>
					<th>주문 시간</th>
					<th>제공 시간</th>
					<th>인원</th>
				</tr>
				</thead>
				<tbody id="listViewModeData"><!-- view mode list data --></tbody>
			</table>
		</th:block>
		<th:block th:if="${viewMode == 't'}">
			<div class="table-container"></div>
		</th:block>
	</div>
	</div>
</main>
</body>
<div class="modal-container" id="modalContainer"><!-- 모달 영역 --></div>

</html>
